package com.hw.ems.api.domain;

import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;

/**
 * 水阈值信息对象 base_water_threshold
 *
 * @author sf
 * @date 2023-04-20
 */
public class BaseWaterThreshold extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 自增标识
     */
    private Long objid;

    /**
     * 计量设备编号
     */
    @Excel(name = "计量设备编号")
    private String monitorId;

    /**
     * 计量设备名称
     */
    @Excel(name = "计量设备名称")
    private String monitorName;

    /**
     * 最大瞬时流量
     */
    @Excel(name = "最大瞬时流量")
    private BigDecimal maxTraffic;

    /**
     * 最小瞬时流量
     */
    @Excel(name = "最小瞬时流量")
    private BigDecimal minTraffic;

    /**
     * 小时耗量
     */
    @Excel(name = "小时耗量")
    private BigDecimal hourConsumption;

    /**
     * 天耗量
     */
    @Excel(name = "天耗量")
    private BigDecimal dayConsumption;

    /**
     * 线损率(%)
     */
    @Excel(name = "线损率(%)")
    private BigDecimal lineLossRate;

    /**
     * 阈值状态
     */
    @Excel(name = "阈值状态")
    private Long thresholdStatus;

    /**
     * 权限标识（部门）
     */
    @Excel(name = "权限标识", readConverterExp = "部=门")
    private Long deptId;

    /**
     * 权限标识（用户）
     */
    @Excel(name = "权限标识", readConverterExp = "用=户")
    private Long userId;

    public BigDecimal getMaxTraffic() {
        return maxTraffic;
    }

    public void setMaxTraffic(BigDecimal maxTraffic) {
        this.maxTraffic = maxTraffic;
    }

    public BigDecimal getMinTraffic() {
        return minTraffic;
    }

    public void setMinTraffic(BigDecimal minTraffic) {
        this.minTraffic = minTraffic;
    }

    public BigDecimal getHourConsumption() {
        return hourConsumption;
    }

    public void setHourConsumption(BigDecimal hourConsumption) {
        this.hourConsumption = hourConsumption;
    }

    public BigDecimal getDayConsumption() {
        return dayConsumption;
    }

    public void setDayConsumption(BigDecimal dayConsumption) {
        this.dayConsumption = dayConsumption;
    }

    public void setObjid(Long objid) {
        this.objid = objid;
    }

    public Long getObjid() {
        return objid;
    }

    public void setMonitorId(String monitorId) {
        this.monitorId = monitorId;
    }

    public String getMonitorId() {
        return monitorId;
    }

    public void setMonitorName(String monitorName) {
        this.monitorName = monitorName;
    }

    public String getMonitorName() {
        return monitorName;
    }

    public void setLineLossRate(BigDecimal lineLossRate) {
        this.lineLossRate = lineLossRate;
    }

    public BigDecimal getLineLossRate() {
        return lineLossRate;
    }

    public void setThresholdStatus(Long thresholdStatus) {
        this.thresholdStatus = thresholdStatus;
    }

    public Long getThresholdStatus() {
        return thresholdStatus;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getUserId() {
        return userId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("objid", getObjid())
                .append("monitorId", getMonitorId())
                .append("monitorName", getMonitorName())
                .append("lineLossRate", getLineLossRate())
                .append("thresholdStatus", getThresholdStatus())
                .append("deptId", getDeptId())
                .append("userId", getUserId())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
